Create SMS event subscription

Archived

This endpoint was archived on Feb 01 2022.

Please use the new /api/v2/subscriptions/* endpoints instead. This is the legacy SMS event subscription endpoint. For the creation of anynew SMS event subscription, please use the new endpoint api/v2/subscriptions/sms which is under the subscriptions menu on the left sidebar of this page.

This API is part of an early adopter program. Please reach out to Dialpad support to have it enabled. Create an SMS event subscription for your company. SMS events will be sent to the provided URL. To include the message content in SMS events, your API key needs to have the "message_content_export" OAuth scope. If you are in the early adopter program you do not require the scope. Each subscription should be created with an id in the URL, which can be used to get and delete the subscription in the future. If a secret is provided, SMS events will be encoded and signed in the JWT format using the shared secret with the HS256 algorithm. The JWT payload should be decoded and the signature verified to ensure that the event came from Dialpad. If no secret is provided, unencoded events will be sent in the JSON format. It is recommended to provide a secret so that you can verify the authenticity of the event. SMS direction can be used to limit the direction for which SMS events are sent. Use 'all' to get events for all directions. A target_type and target_id may optionally be provided to scope the events only to SMS to/from that target.

Added on Dec 18, 2019 for API v2.

Rate limit: 1200 per minute.

Path Params
string
required

The SMS event subscription's hook id.

Body Params
string | null
enum
required

The SMS direction this event subscription subscribes to.

Allowed:
boolean | null
Defaults to true

Whether or not the SMS event subscription is enabled.

string | null

[single-line only]

The SMS event subscription's signature secret.

int64 | null

The ID of the specific target for which events should be sent.

string | null
enum

The target's type.

string | null
required

The SMS event subscription's url. Url should start with scheme name such as http or https.

Be aware that url with userinfo subcomponent, such as https://username:[email protected], is not supported due to security reasons.

Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json